Changeset 48569c74 in rtems


Ignore:
Timestamp:
Sep 23, 2009, 11:13:58 AM (10 years ago)
Author:
Ralf Corsepius <ralf.corsepius@…>
Branches:
4.9
Children:
81ddf59
Parents:
002e4a4b
Message:

Regenerate.

Location:
contrib/crossrpms/rtems4.9
Files:
11 edited

Legend:

Unmodified
Added
Removed
  • contrib/crossrpms/rtems4.9/arm/rtems-4.9-arm-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-arm-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-avr-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/bfin/rtems-4.9-bfin-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        7%{?dist}
     55Release:        8%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    128145cd ..
    129146
    130 %if "%{gdb_version}" >= "6.7"
    131147# Force using a system-provided libreadline
    132 rm -f gdb-%{gdb_version}/readline/configure
    133 %endif
     148%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    134149%build
    135150  export PATH="%{_bindir}:${PATH}"
     
    148163    --disable-werror \
    149164    %{build_sim} \
    150 %if "%{gdb_version}" >= "6.7"
    151     --with-system-readline \
    152 %endif
     165    %{?with_system_readline:--with-system-readline} \
    153166%if "%{gdb_version}" >= "6.6"
    154167    --with-expat \
    155168%endif
    156169%if "%{gdb_version}" >= "6.8.50"
     170%if %{with python}
     171    --with-python \
     172%else
    157173    --without-python \
     174%endif
    158175%endif
    159176    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    234251%files -n rtems-4.9-bfin-rtems4.9-gdb
    235252%defattr(-,root,root)
     253%dir %{_prefix}
     254%dir %{_prefix}/share
     255
    236256%dir %{_mandir}
    237257%dir %{_mandir}/man1
     
    249269Requires(post):         /sbin/install-info
    250270Requires(preun):        /sbin/install-info
     271%{?_with_noarch_subpackages:BuildArch: noarch}
    251272
    252273%description -n rtems-4.9-gdb-common
     
    270291%files -n rtems-4.9-gdb-common
    271292%defattr(-,root,root)
     293%dir %{_prefix}
     294%dir %{_prefix}/share
     295
    272296%dir %{_infodir}
    273297%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/h8300/rtems-4.9-h8300-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-h8300-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/i386/rtems-4.9-i386-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-i386-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/m68k/rtems-4.9-m68k-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-m68k-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/mips/rtems-4.9-mips-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-mips-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/mipstx39/rtems-4.9-mipstx39-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-mipstx39-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/powerpc/rtems-4.9-powerpc-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-powerpc-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/sh/rtems-4.9-sh-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-sh-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
  • contrib/crossrpms/rtems4.9/sparc/rtems-4.9-sparc-rtems4.9-gdb.spec

    r002e4a4b r48569c74  
    5353Group:          Development/Tools
    5454Version:        %{gdb_rpmvers}
    55 Release:        8%{?dist}
     55Release:        9%{?dist}
    5656License:        GPL/LGPL
    5757URL:            http://sources.redhat.com/gdb
     
    103103BuildRequires:  %{_host_rpmprefix}termcap-devel
    104104%endif
    105 %endif
    106 BuildRequires:  %{_host_rpmprefix}readline-devel
     105%bcond_with system_readline
     106%else
     107%if 0%{?fedora} >= 12
     108%bcond_with system_readline
     109%else
     110%bcond_without system_readline
     111%endif
     112%endif
     113%{?with_system_readline:BuildRequires: %{_host_rpmprefix}readline-devel}
    107114BuildRequires:  %{_host_rpmprefix}ncurses-devel
     115
     116%if "%{gdb_version}" >= "6.8.50"
     117%if "%{_build}" != "%{_host}"
     118# Can't build python Cdn-X
     119%bcond_with python
     120%else
     121%bcond_without python
     122%endif
     123%endif
     124%{?with_python:BuildRequires: %{_host_rpmprefix}python-devel}
    108125
    109126# Required for building the infos
     
    130147cd ..
    131148
    132 %if "%{gdb_version}" >= "6.7"
    133149# Force using a system-provided libreadline
    134 rm -f gdb-%{gdb_version}/readline/configure
    135 %endif
     150%{?with_system_readline:rm -f gdb-%{gdb_version}/readline/configure}
    136151%build
    137152  export PATH="%{_bindir}:${PATH}"
     
    150165    --disable-werror \
    151166    %{build_sim} \
    152 %if "%{gdb_version}" >= "6.7"
    153     --with-system-readline \
    154 %endif
     167    %{?with_system_readline:--with-system-readline} \
    155168%if "%{gdb_version}" >= "6.6"
    156169    --with-expat \
    157170%endif
    158171%if "%{gdb_version}" >= "6.8.50"
     172%if %{with python}
     173    --with-python \
     174%else
    159175    --without-python \
     176%endif
    160177%endif
    161178    --prefix=%{_prefix} --bindir=%{_bindir} \
     
    236253%files -n rtems-4.9-sparc-rtems4.9-gdb
    237254%defattr(-,root,root)
     255%dir %{_prefix}
     256%dir %{_prefix}/share
     257
    238258%dir %{_mandir}
    239259%dir %{_mandir}/man1
     
    251271Requires(post):         /sbin/install-info
    252272Requires(preun):        /sbin/install-info
     273%{?_with_noarch_subpackages:BuildArch: noarch}
    253274
    254275%description -n rtems-4.9-gdb-common
     
    272293%files -n rtems-4.9-gdb-common
    273294%defattr(-,root,root)
     295%dir %{_prefix}
     296%dir %{_prefix}/share
     297
    274298%dir %{_infodir}
    275299%ghost %{_infodir}/dir
Note: See TracChangeset for help on using the changeset viewer.